KVM_MKDB(8)

NAME
kvm_mkdb - create kernel database

SYNOPSIS
kvm_mkdb [-v] [-o directory] [file]

DESCRIPTION
kvm_mkdb creates a database in /var/db containing information about the specified file. If no file is specified, /bsd is used by default. The file is named kvm_filename.db, where filename is the name of the file read. Various library routines consult this database. The only information currently stored is the kernel namelist, which is used by the kvm_nlist(3) function. However, in the future the database may contain other static information about the current system.

The options are as follows:

-o directory
    Allows the specification of a directory other than /var/db for the database to be created in.

-v  Yields slightly more verbose operation.

FILES
/bsd
/var/db/kvm_bsd.db

SEE ALSO
kvm_nlist(3)

HISTORY
The kvm_mkdb utility first appeared in 4.4BSD.